<!--导航组件-->
<template>
  <div class="app-sidebar">
    <div class="box">
      <div class="logo-view">
        <el-image :src="require('@/assets/jialianlogo.png')"></el-image>
      </div>
      <el-menu
        router
        unique-opened
        :default-active="$route.path"
        class="el-menu-vertical-demo"
        @select="handleOpen"
        @close="handleClose"
        background-color="#3d435a"
        text-color="#bfcbd9"
        active-text-color="#fff"
      >
        <el-submenu index="/supplierManage/supplier">
          <template slot="title">
            <i class="el-icon-user-solid icon"></i>
            <span>系统设置</span>
          </template>
          <el-menu-item index="/systemSetting/silkStandardSetting">生丝标准设置</el-menu-item>
          <el-menu-item index="/systemSetting/silkPriceStandard">生丝定价标准</el-menu-item>
          <el-menu-item index="/systemSetting/workshopManage">车间管理</el-menu-item>
          <el-menu-item index="/systemSetting/dataDictionary">数据字典</el-menu-item>
          <!-- <el-menu-item index="/systemSetting/encodeManage">编码管理</el-menu-item> -->
        </el-submenu>
        <el-submenu index="2">
          <template slot="title">
            <i class="el-icon-user-solid icon"></i>
            <span>生产管理</span>
          </template>
          <el-menu-item index="/productManage/silkRegisterForm">纤度登记表</el-menu-item>
          <el-menu-item index="/productManage/silkInspectForm">纤度检验表</el-menu-item>
          <el-menu-item index="/productManage/productRegisterForm">产量登记表</el-menu-item>
        </el-submenu>
        <el-submenu index="3">
          <template slot="title">
            <i class="el-icon-user-solid icon"></i>
            <span>员工管理</span>
          </template>
          <el-menu-item index="/employeeManage/employeeInfo">员工信息</el-menu-item>
          <el-menu-item index="/employeeManage/workKindManage">工种管理</el-menu-item>
        </el-submenu>
        <el-submenu index="4">
          <template slot="title">
            <i class="el-icon-user-solid icon"></i>
            <span>员工薪资</span>
          </template>
          <el-menu-item index="/employeeSalary/attendanceManage">考勤管理</el-menu-item>
          <el-menu-item index="/employeeSalary/attendanceStatistics">考勤统计</el-menu-item>
          <el-menu-item index="/employeeSalary/salaryPlan">薪资方案</el-menu-item>
          <el-menu-item index="/employeeSalary/payroll">薪资核算</el-menu-item>
          <el-menu-item index="/employeeSalary/apprenticeshipManage">带徒管理</el-menu-item>
          <el-menu-item index="/employeeSalary/machineManage">机台管理</el-menu-item>
        </el-submenu>
        <el-submenu index="5">
          <template slot="title">
            <i class="el-icon-user-solid icon"></i>
            <span>报表管理</span>
          </template>
          <el-menu-item index="/reportManage/productionReport">产量报表</el-menu-item>
          <el-menu-item index="/reportManage/payableSalaryReport">应发工资报表</el-menu-item>
        </el-submenu>
      </el-menu>
    </div>
  </div>
</template>

<script>
export default {
  name: "AppSidebar",
  props: {},
  data() {
    return {}
  },
  watch: {},
  created() {
    this.initNavMenu()
  },
  methods: {
    // 监听路由
    initNavMenu() {
      // console.log(this.$route.name)
    },
    handleOpen(index) {
      console.log(index)
    },
    handleClose() {}
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
@import "./index.scss";
</style>
